Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.introduction
Class InterfaceIntroduction.Mixin

    java.lang.Object
      org.jboss.aop.introduction.InterfaceIntroduction.Mixin

Enclosing class:
  InterfaceIntroduction

public static class InterfaceIntroduction.Mixin
extends Object

Field Summary
`protected String` | `classname`
`protected String` | `construction`
`protected String[]` | `interfaces`
`protected boolean` | `trans`

Constructor Summary
`InterfaceIntroduction.Mixin()`
`InterfaceIntroduction.Mixin(String classname, String[] interfaces, String construction, boolean trans)`

Method Summary
`String` | `getClassName()`
`String` | `getConstruction()`
`String[]` | `getInterfaces()`
`boolean` | `isTransient()`
`void` | `setClassname(String classname)`
`void` | `setConstruction(String construction)`
`void` | `setInterfaces(String[] interfaces)`
`void` | `setTrans(boolean trans)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classname

    protected String classname

### interfaces

    protected String[] interfaces

### construction

    protected String construction

### trans

    protected boolean trans

Constructor Detail

### InterfaceIntroduction.Mixin

    public InterfaceIntroduction.Mixin()

### InterfaceIntroduction.Mixin

    public InterfaceIntroduction.Mixin(String classname,
                                       String[] interfaces,
                                       String construction,
                                       boolean trans)

Method Detail

### getClassName

    public String getClassName()

### getInterfaces

    public String[] getInterfaces()

### getConstruction

    public String getConstruction()

### isTransient

    public boolean isTransient()

### setClassname

    public void setClassname(String classname)

### setInterfaces

    public void setInterfaces(String[] interfaces)

### setConstruction

    public void setConstruction(String construction)

### setTrans

    public void setTrans(boolean trans)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.